# Interface FileOptions

#### Hierarchy

- FileOptions

- Defined in src/datasource/File.js:32

#####
Index

### Properties

attributes
dimensionsFiltersConfig
features
id
identifierAttribute
inRange
maxResolution
minResolution
name
visible

## Properties

### attributes

attributes: Attribute[]

(DataSourceOptions)

- Defined in src/datasource/File.js:35

### dimensionsFiltersConfig

dimensionsFiltersConfig: Object

(DataSourceOptions)

- Defined in src/datasource/File.js:36

### features

features: Collection<Feature<Geometry>>

Collection of `import('ol/Feature').default<import('ol/geom/Geometry').default>` objects.

- Defined in src/datasource/File.js:33

### id

id: number

(DataSourceOptions)

- Defined in src/datasource/File.js:38

### identifierAttribute

identifierAttribute: string

(DataSourceOptions)

- Defined in src/datasource/File.js:39

### inRange

inRange: boolean

(DataSourceOptions)

- Defined in src/datasource/File.js:40

### maxResolution

maxResolution: number

(DataSourceOptions)

- Defined in src/datasource/File.js:42

### minResolution

minResolution: number

(DataSourceOptions)

- Defined in src/datasource/File.js:41

### name

name: string

(DataSourceOptions)

- Defined in src/datasource/File.js:43

### visible

visible: boolean

(DataSourceOptions)

- Defined in src/datasource/File.js:44

Generated using TypeDoc